No relevant resource is found in the selected language.

This site uses cookies. By continuing to browse the site you are agreeing to our use of cookies. Read our privacy policy>

Reminder

To have a better experience, please upgrade your IE browser.

upgrade

Cannot upgrade EFS version from 2.10 to 2.22

Publication Date:  2012-07-25 Views:  34 Downloads:  0
Issue Description
We received new EFS card from our spare stock with older version V2.10 but we need EFS card with V2.22 for Multcast and HSI service configuration.
When we tried to upgrade the software with toolkit, it stops with the error 'file length limit exceed'.
we tried 'sftm-show-dir:3, "/ofs1/hwx"
no out put return except timeout.
EFS card is installed at slot 3 of Metro1000.
Black box is attached.
:sys-get-nesoftver
                               VERSION-INFORMATION                                
                  NESOFTNAME  VER               DATE      STATE                   
                  NSF1        5.37.02.22P02     20070119  active                  
                  NSF2        5.37.02.22P02     20070119  inactive                
                  BIOS        8.12.07           20060210  active                  
                  PCB         SS46SCB VER.B                                       
                  Logic       (EOW)110                                            
                  LogicE01    (STG)110                                            
                  LogicE02    (XC)110   
#9-49136:szhw [][][2009-04-22 11:43:26]>
:sftm-show-dir:3, "/ofs2/hwx";
:sftm-show-dir:3, "/ofs/hwx";
:sftm-show-dir:3, "/ofs1/hwx";
#9-49136: [][][2009-04-22 11:44:22]>
failed! cmd:0x0212 error:0x0080 CMD_EXECUTE_TIMEOUT                     
#9-49136: [][][2009-04-22 11:44:56]>
failed! cmd:0x0212 error:0x0080 CMD_EXECUTE_TIMEOUT                     
#9-49136: [][][2009-04-22 11:45:13]>
failed! cmd:0x0212 error:0x0080 CMD_EXECUTE_TIMEOUT                     
#9-49136: [][][2009-04-22 11:45:26]>
failed! cmd:0x0212 error:0x0080 CMD_EXECUTE_TIMEOUT
Alarm Information
'file length limit exceeds' error message when tried upgrade with toolkit
Handling Process
RND told me that it's better perform this 5 commands. (PS: Modify the bid with the actual slot which EFS inside).
 
 :ethn-debug-enable:enable;
 :ethn-debug:bid,"test remove /ofs1/hwx/ss42efs10.dlb";
 :ethn-debug:bid,"test remove /ofs1/hwx/ne.ini";
 :ethn-debug:bid,"test remove /ofs2/hwx/ss42efs10.dlb";
 :ethn-debug:bid,"test remove /ofs2/hwx/ne.ini";
- When we execute these commands, old version files successfully deleted and after that we tried to upgrade the card and card was successfully upgraded.
Root Cause
New command syntax told by RND worked and issue resolved.
Suggestions

END